unit uConst;

interface

uses Windows;

type
  TPluginInfo = packed record
    strPluginName        : Array [0..254] of char;
    strPluginDescription : Array [0..254] of char;
    strPluginVersion     : Array [0..254] of char;
  end;
  PPluginInfo = ^TPluginInfo;
  TtypeClCommFortProcess = function(dwPluginID : DWORD; dwMessageID : DWORD; bMessage : PCHAR; dwMessageLength : DWORD) : BYTE; stdcall;
  TtypeClGetData = function(dwDataID : DWORD; bBuffer : PCHAR; dwBufferSize : DWORD): DWORD; stdcall;

const
  PLUGIN_NAME         = 'Sticky';
  PLUGIN_DESCRIPTION  = 'Sticky Null Plugin';
  PLUGIN_VERSION      = '4.40';

  PM_PLUGIN_USER_JOINED         =  1; //commfort -> plugin:    : ()
  PM_PLUGIN_USER_LEAVED         =  2; //commfort -> plugin:   : ()
  PM_PLUGIN_USERS_LIST          =  3; //commfort -> plugin:    (    ID=60): (  )+()*  
  PM_PLUGIN_MSG_PUB             =  5; //commfort -> plugin:    : ()+()+()
  PM_PLUGIN_TOPIC_CHANGED       =  6; //commfort -> plugin:   : ()+()+( )
  PM_PLUGIN_NAME_CHANGED        =  7; //commfort -> plugin:  : ()+( )
  PM_PLUGIN_STATUS_CHANGED      =  8; //commfort -> plugin:  : ()+( )
  PM_PLUGIN_MSG_PRIV            = 10; //commfort -> plugin:   : ()+()
  PM_PLUGIN_CHANNELS_LIST       = 11; //commfort -> plugin:   (    ID=68): ( )+(()+(   )+( ))* 
  PM_PLUGIN_MSG_PM              = 15; //commfort -> plugin:  : ()+(  )+()
  PM_PLUGIN_USERSINCHANEL_LIST  = 30; //commfort -> plugin:     (    ID=90): ()+(   )+()*   
  PM_PLUGIN_USER_JOINEDCHANEL   = 31; //commfort -> plugin:    : ( )+()
  PM_PLUGIN_USERLEAVEDCHANEL    = 32; //commfort -> plugin:   : ( )+()

  PM_PLUGIN_SNDMSG_PUB          = 50; //plugin -> commfort:    : ()+()
  PM_PLUGIN_SNDSTATE_PUB        = 51; //plugin -> commfort:    : ()+()
  PM_PLUGIN_RESTRICT_SET        = 52; //plugin -> commfort:  : ( )+( )+( )+(  )+( ,  IP-,   IP-)+( )+( )
                                      // : 0 -    , 1 -    , 2 -    , 3 -   , 4 -   .  : 0 -   1 - IP- 2 -  IP- (: 192.168.0.0-192.168.0.255)  : 0 -   1 -  
  PM_PLUGIN_USERS_GET           = 60; //plugin -> commfort:    
  PM_PLUGIN_TOPIC_CHANGE        = 61; //plugin -> commfort:   : ()+( )
  PM_PLUGIN_GREETING_CHANGE     = 62; //plugin -> commfort:   : ()+( )
  PM_PLUGIN_SNDMSG_PRIV         = 63; //plugin -> commfort:    : ()+()
  PM_PLUGIN_SNDSTATE_PRIV       = 64; //plugin -> commfort:    : ()+()
  PM_PLUGIN_PRIV_CHANNEL_LEAVE  = 65; //plugin -> commfort:   : ()
  PM_PLUGIN_CHANNEL_LEAVE       = 66; //plugin -> commfort:   : ()
  PM_PLUGIN_CHANNEL_JOIN        = 67; //plugin -> commfort: /   : ()+() : 0 -     /   1 -    /   2 -     /    3 -    /   
  PM_PLUGIN_CHANNELS_GET        = 68; //plugin -> commfort:   
  PM_PLUGIN_SNDMSG_PM           = 70; //plugin -> commfort:   : ()+( )+() : 0 -   1 -  
  PM_PLUGIN_USERSINCHANNEL_GET  = 90; //plugin -> commfort:     

implementation

end.
